using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerFade : MonoBehaviour
{
    public Material PlayerFadeMat;

    private Material fadeMatCopy;

    // Start is called before the first frame update
    void Start()
    {
        fadeMatCopy = GameObject.Instantiate(PlayerFadeMat);
    }

    public void SetFadeParams(float radius, Vector2 fadeLoc)
    {
        fadeMatCopy.SetVector("_MainCameraPos", new Vector4(fadeLoc.x, fadeLoc.y, 0, 0));
        fadeMatCopy.SetFloat("_Radius", radius);
    }

    // Update is called once per frame
    void Update()
    {
        
    }

    void OnRenderImage(RenderTexture source, RenderTexture destination)
    {
        RenderTexture old = RenderTexture.active;
        RenderTexture.active = destination;

        Graphics.Blit(source, fadeMatCopy);

        RenderTexture.active = old;
    }
}
